Bug 10879 - Нужна поддержка кодеков AMR
: Нужна поддержка кодеков AMR
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/ffmpeg)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 12316
  Show dependency tree
 
Reported: 2007-02-19 23:41 by
Modified: 2008-08-08 16:53 (History)


Attachments
Запись000.amr (39.32 KB, application/octet-stream)
2007-03-07 19:53, Igor Zubkov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-02-19 23:41:54
Надо добавить в spec включение кодеков AMR, которые необходимы из-за мобильных
телефонов и  диктофонов, записывающих в этом формате.

enable amr_nb
enable amr_wb
enable amr_if2
------- Comment #1 From 2007-02-20 00:23:15 -------
Это я включать не буду.

Патчи на ffmpeg, добавляющие GPL/LGPL-licensed декодеры AMR приветствуются.
------- Comment #2 From 2007-02-20 09:03:31 -------
по поводу причины проблем с добавлением на канале #altlinux было сказано это:

"он не закрыт, на самом деле
исходники есть, но лицензия на них неясна
libavcodec/amr.c -- там написано
лицензии на распространение там просто нет.
спроси распространителей"
(с) thresh, icesik
------- Comment #3 From 2007-02-20 11:28:38 -------
2 misha, slava: кажется, led@ в сборке из дедала включал AMR, решив, что
нормально.
------- Comment #4 From 2007-02-20 12:02:26 -------
т.е. теоретически мы можем на сервера ООО положить любой варез без лицензии
------- Comment #5 From 2007-02-20 12:51:43 -------
Отсутствие поддержки кодеков реально ограничивает применимость Сизифа. Этого
достаточно, чтобы больше никогда не ставить сборки ffmpeg из Сизифа и вообще
прекратить тестирование целой пачки пакетов Сизифа. Отсутствие записи про
лицензию эквивалентно "Делайте что хотите без каких-либо ограничений".
------- Comment #6 From 2007-02-20 13:19:43 -------
> Отсутствие записи про лицензию эквивалентно "Делайте что хотите без каких-либо
ограничений".

Судья лопнет от смеха от такого аргумента. По закону об авторских правах ничего
нельзя делать без письменного разрешения автора. Если разрешения нет - то это
вообще нельзя использовать, и считается варезом.
------- Comment #7 From 2007-02-20 13:27:58 -------
автор вообще жив, или нет?
ибо препираться можно долго. Одни предстказывают, что судья лопнет, другие - что
утонет, кто-то говорит что останется на поверхности и можно будет гадать на
кофейной гуще, а вопрос не движется..
------- Comment #8 From 2007-02-20 13:48:47 -------
JFYI

Я в доке покопался, которая в том же архиве с 3GPP, и вот такое выцепил:

Copyright Notification
No part may be reproduced except as authorized by written permission.
The copyright and the foregoing restriction extend to reproduction in all media.

(с) 2004, 3GPP Organizational Partners (ARIB, CCSA, ETSI, T1, TTA, TTC).
All rights reserved.
------- Comment #9 From 2007-02-20 15:11:54 -------
(In reply to comment #3)
> кажется, led@ в сборке из дедала включал AMR, решив, что нормально.

Я просто видел эти кодеки в других дистрибутивах. А в доках ffmpeg (кажется) 
встречал разъяснения о том, что проблемы могут быть только ПАТЕНТНЫЕ (по типу 
mp3 и компании)
------- Comment #10 From 2007-02-20 15:20:13 -------
(In reply to comment #9)
> (In reply to comment #3)
> > кажется, led@ в сборке из дедала включал AMR, решив, что нормально.
> 
> Я просто видел эти кодеки в других дистрибутивах.

В каких?
------- Comment #11 From 2007-02-20 16:12:27 -------
(In reply to comment #10)
> В каких?

Уже не помню:)
Но даже сейчас можно найти на множестве европейских и американских зеркал 
сборки amrnb-0.0.1 для RH, FC, openSUSE

------- Comment #12 From 2007-02-20 16:16:25 -------
(In reply to comment #11)
> (In reply to comment #10)
> > В каких?
> 
> Уже не помню:)
> Но даже сейчас можно найти на множестве европейских и американских зеркал 
> сборки amrnb-0.0.1 для RH, FC, openSUSE

Не нашел.
То, что оно лежит в репозитории Dag Wieers еще не означает, что оно входит в
дистрибутив.
------- Comment #13 From 2007-02-20 16:18:25 -------
(In reply to comment #12)
> Не нашел.

rpmseek.com

> То, что оно лежит в репозитории Dag Wieers еще не означает, что оно входит в
> дистрибутив.

На freshrpm, например
------- Comment #14 From 2007-02-20 16:21:44 -------
(In reply to comment #8)
> Copyright Notification
> No part may be reproduced except as authorized by written permission.
> The copyright and the foregoing restriction extend to reproduction in all 
media.
> 
> (с) 2004, 3GPP Organizational Partners (ARIB, CCSA, ETSI, T1, TTA, TTC).
> All rights reserved.

Эта "дока" - текст спецификации, к этой "доке" copyright и относится:)
------- Comment #15 From 2007-02-20 16:25:27 -------
(In reply to comment #13)
> На freshrpm, например

Точнее: freshrpms.net. AFAIK это в USA
------- Comment #16 From 2007-02-20 16:26:35 -------
(In reply to comment #15)
> (In reply to comment #13)
> > На freshrpm, например
> 
> Точнее: freshrpms.net. AFAIK это в USA

Да хоть в Ватикане, этот пакет не входит в дистрибутив!
------- Comment #17 From 2007-02-20 16:29:37 -------
(In reply to comment #16)
> Да хоть в Ватикане, этот пакет не входит в дистрибутив!

Да без проблем:) Я ж не настаиваю:) Я всего лишь объяснил из чего я исходил - 
не думал что это вызовет такую реакцию:)
------- Comment #18 From 2007-02-20 17:45:25 -------
(In reply to comment #14)
> (In reply to comment #8)
> > Copyright Notification
> > No part may be reproduced except as authorized by written permission.
> 
> Эта "дока" - текст спецификации, к этой "доке" copyright и относится:)

Вот насчет этого я не уверен. Явно это не прописано, в доке идет описание кода
из того же архива, а в самом коде ни слова. Подозреваю, что есть смысл:
а) спросить у авторов;
б) озадачить ближайшего юриста.
------- Comment #19 From 2007-02-20 19:35:11 -------
(In reply to comment #18)

> Вот насчет этого я не уверен. Явно это не прописано, в доке идет описание 
кода

А зачем гадать, если в  звголовке написано:
3GPP TS 26.204 V5.1.0 (2003-03)
Technical Specification
3rd Generation Partnership Project

> из того же архива,
но не в каталоге с кодом

> а в самом коде ни слова. Подозреваю, что есть смысл:
> а) спросить у авторов;

это всегда лучшее решение... если есть у кого спросить:)

> б) озадачить ближайшего юриста.

"ближайшего" - бесполезно, поверьте:)
------- Comment #20 From 2007-02-24 16:34:01 -------
разговор ни о чем
1. в России нет патентов на программное обеспечение
2. если следовать вашей логике, то в дистрибутив нельзя включать поддержку 
mp3, майкросовтовских кодеков, антиальясинг в freetype и т.д. и т.п. 
------- Comment #21 From 2007-02-24 18:08:14 -------
Я не вижу в коробочных дистрибутивах (и на FTP) пакета w32codecs.

Кроме того, есть ли в Сизифе или дистрибутивах пакеты, с неясной лицензией или
без лицензии вовсе?
------- Comment #22 From 2007-02-24 18:36:08 -------
вообще то я не про w32codecs, но это не важно.
ffmpeg из дедала не воспроизводит то что записывает siemens S88 и samsung 
E900, т.ч. включение этого в пакет ничего не исправит.
итого - это действительно разговор НИ О ЧЕМ, т.к. работающего предмета 
разговора не существует
------- Comment #23 From 2007-02-25 23:32:42 -------
Кстати, да. Я собрал дедаловский вариант, и файлы с записями очень занятных
лекций сделанный Siemes S75 не играют. Так, вот, чем прикажете слушать или в
wav
раживать? Очень надо.
------- Comment #24 From 2007-03-03 16:59:07 -------
led@, а у тебя оно играет хоть что-нибудь?
------- Comment #25 From 2007-03-07 16:46:37 -------
(In reply to comment #24) 
> led@, а у тебя оно играет хоть что-нибудь? 
 
Когда-то (давно уже) играло. А сейчас нет ни сэмплов, ни нужной мобилки для 
получения подобных сэмплов :( 
------- Comment #26 From 2007-03-07 17:00:35 -------
(In reply to comment #25)
> (In reply to comment #24) 
> > led@, а у тебя оно играет хоть что-нибудь? 
>  
> Когда-то (давно уже) играло. А сейчас нет ни сэмплов, ни нужной мобилки для 
> получения подобных сэмплов :( 

От 6021 подойдёт?
------- Comment #27 From 2007-03-07 18:00:05 -------
(In reply to comment #26) 
> От 6021 подойдёт? 
 
Не знаю:) А что говорится в ТХ по этому 6021 на счёт используемых ним кодеков? 
------- Comment #28 From 2007-03-07 18:13:24 -------
(In reply to comment #27)
> (In reply to comment #26) 
> > От 6021 подойдёт? 
>  
> Не знаю:) А что говорится в ТХ по этому 6021 на счёт используемых ним кодеков? 

Я только что записал на диктовон файл "Запись000.amr". Приложить в багзиллу для
теста?
------- Comment #29 From 2007-03-07 19:19:00 -------
(In reply to comment #28) 
Приложи, если поместится. Или пришли в личку. Я так понимаю, этот файл не 
играется libavcodec+ffplay из Daedalus? 
------- Comment #30 From 2007-03-07 19:53:17 -------
Created an attachment (id=1852) [details]
Запись000.amr
------- Comment #31 From 2007-03-07 19:54:34 -------
(In reply to comment #29)
> (In reply to comment #28) 
> Приложи, если поместится. Или пришли в личку. Я так понимаю, этот файл не 
> играется libavcodec+ffplay из Daedalus? 

Непробовал играть. Файл заатачил.
------- Comment #32 From 2007-03-23 17:49:38 -------
(In reply to comment #31)
> (In reply to comment #29)
> > (In reply to comment #28) 
> > Приложи, если поместится. Или пришли в личку. Я так понимаю, этот файл не 
> > играется libavcodec+ffplay из Daedalus? 
> 
> Непробовал играть. Файл заатачил.

Вместо музыки шум.

Если у кого-то получится заставить ffmpeg это играть, дайте знать.
------- Comment #33 From 2007-03-28 15:01:32 -------
*** Bug 11249 has been marked as a duplicate of this bug. ***
------- Comment #34 From 2007-03-28 15:48:31 -------
(In reply to comment #32) 
> Вместо музыки шум. 
>  
> Если у кого-то получится заставить ffmpeg это играть, дайте знать. 
 
Заставить играть не получилось пока, получилось декодировать указанный файл в 
RAW с помощью decoder из amr-nb-fixed (decoder из amr-nb сегфолтится при 
декодировании, по крайней мере на x86_64). 
------- Comment #35 From 2007-04-10 15:59:59 -------
(In reply to comment #32) 
> Если у кого-то получится заставить ffmpeg это играть, дайте знать. 
 
Получилось: ffmpeg-0.5.0-alt1.svn8701.1.src.rpm ушёл в Daedalus, ffplay из него 
играет (похоже, upstream исправил поддержку amr, по крайней мере - 
amr-nb-fixed) 
------- Comment #36 From 2007-04-10 16:44:55 -------
нифига оно не играет
------- Comment #37 From 2007-04-10 16:52:39 -------
(In reply to comment #36) 
> нифига оно не играет 
 
Именно ffplay-0.5.0-alt1.svn8701.1 не играет? Если так - давайте ваш сэмпл. Те, 
что мне предоставили (видео со звуком amr-nb и просто звук amr-nb (приложен к 
этому фичреквесту)) - играют (буквально сегодня ночью проверял, на x86_64) 
------- Comment #38 From 2007-04-16 02:05:35 -------
собрал текущий ffmpeg с поддержкой libamrnb/libamrwb -- мои файлы с SEK700i он
играет, приложенный к багу -- слышен какой-то шум, я не знаю, что там на самом
деле.
------- Comment #39 From 2007-04-16 11:38:34 -------
(In reply to comment #38) 
> собрал текущий ffmpeg с поддержкой libamrnb/libamrwb -- мои файлы с SEK700i 
он 
> играет, приложенный к багу -- слышен какой-то шум, я не знаю, что там на 
самом деле. 
 
На x86_64 тоже играет? 
"приложенный к багу" - там сначала "щелчки", а потом музыка с очень низким 
уровнем громкости. 
------- Comment #40 From 2007-04-16 13:12:00 -------
>  
> На x86_64 тоже играет? 
> "приложенный к багу" - там сначала "щелчки", а потом музыка с очень низким 
> уровнем громкости. 

x86_64 у меня нет

да, именно щелчки и музыку с низким уровнем громкости как раз играет.
------- Comment #41 From 2007-04-16 14:01:11 -------
(In reply to comment #40) 
> > На x86_64 тоже играет?  
> x86_64 у меня нет 
 
Надо будет глянуть: пишут, что в amrnb-6.1.0.1 "They should properly work on 64 
bit platforms" 
 
------- Comment #42 From 2007-04-16 18:51:26 -------
попробуйте:

rpm ftp://ftp.altlinux.ru/pub/people/thresh/ffmpeg-amr i686 hasher
------- Comment #43 From 2007-04-16 19:06:33 -------
(In reply to comment #42)
> попробуйте:
> 
> rpm ftp://ftp.altlinux.ru/pub/people/thresh/ffmpeg-amr i686 hasher

Файл из аттача заиграл.
------- Comment #44 From 2007-04-16 19:29:34 -------
У меня тоже 2 разных файла заиграло
------- Comment #45 From 2007-05-15 00:52:34 -------
Все это должен играть ffmpeg из Сизифа с установленными libamrnb/libamrwb с:
rpm ftp://ftp.altlinux.ru/pub/people/thresh/amr/ i586 hasher.

Также в README.ALT-AMR я указал, как получить поддержку этих форматов.
README.ALT-AMR находится в пакете libavcodec.

reopen и потом fixed?
------- Comment #46 From 2007-05-15 14:22:46 -------
Еще бы придумать, куда на более видное место README.ALT-AMR 
положить/сдублировать/засимлинкать, а то просто так не найдут
------- Comment #47 From 2007-05-15 14:30:19 -------
Могу залинковать в /u/s/d/ffmpeg-version/ но ведь так тоже не найдут

ну и в /u/s/d/vlc-ver/ и наверно стоит мантейнеру mplayer так же сделать. м?
------- Comment #48 From 2007-05-15 14:48:26 -------
(In reply to comment #47) 
> и наверно стоит мантейнеру mplayer так же сделать. м? 
 
Ага, и в каждый плейер, использующий libavcodec тоже?:) 
 
 
------- Comment #49 From 2007-05-15 14:53:30 -------
(In reply to comment #48)
> Ага, и в каждый плейер, использующий libavcodec тоже?:) 
Предложите что-нибудь получше, если не согласны
------- Comment #50 From 2007-05-15 15:04:19 -------
(In reply to comment #49) 
> Предложите что-нибудь получше, если не согласны 
 
Могу высказать своё ИМХО: 
Фактически libamr?b в репозитарии у нас не поддерживается (если не считать 
avidemux - но это уже вопрос к мейнтейнеру avidemux и юристам team), 
следовательно README.AMR в пакете libavcodec и инструкции на wiki более чем 
достаточно. 
 
 
------- Comment #51 From 2007-05-15 15:05:31 -------
поддерживается или нет, в свои пакеты я эту информацию добавлю -- чего советую
и
остальным -- юзерам будет лучше, я думаю
------- Comment #52 From 2007-07-30 13:11:56 -------
http://git.altlinux.org/people/thresh/packages/ffmpeg.git?p=ffmpeg.git;a=commitdiff;h=d7b017befd498c958eb66ffc547f218ac394e2c1

в результате ffmpeg:
[libamr_nb @ 0xb7d90184]AMR-NB library libamrnb.so.2 could not be opened!
libamrnb.so.2: cannot open shared object file: No such file or directory
[libamr_nb @ 0xb7d90184]Please, read the README.ALT-AMR file in
/usr/share/doc/libavcodec-*/!

И в vlc, к примеру:
[00000367] ffmpeg decoder warning: AMR-NB library libamrnb.so.2 could not be opened!
libamrnb.so.2: невозможно открыть разделяемый объектный файл: Нет такого файла
или каталога
 (libamr_nb@0x8360060)
[00000367] ffmpeg decoder warning: Please, read the README.ALT-AMR file in
/usr/share/doc/libavcodec-*/!
 (libamr_nb@0x8360060)                                                         
                                                   

засим багу предлагаю закрыть и забыть про AMR как про страшный сон.
------- Comment #53 From 2007-08-01 14:44:05 -------
(In reply to comment #52)
> [00000367] ffmpeg decoder warning: Please, read the README.ALT-AMR file in
Мне нравиться :-)

В 4.0/branch тогда это надо
------- Comment #54 From 2007-08-01 14:52:23 -------
осталось собрать
http://www.penguin.cz/~utx/amr
------- Comment #55 From 2007-08-01 15:18:45 -------
(In reply to comment #54)
> осталось собрать
> http://www.penguin.cz/~utx/amr

Вот видите, даже прямая ссылка на документацию при выводе ошибки не помогла.
Я уже даже и не знаю, что делать.
------- Comment #56 From 2007-08-01 15:29:24 -------
ниче не делать. я собрал libamrnb-6.1.0.2-alt1, файлы с моего SonyEricsson 
W810i и BENQ-Siemens S88 стали воспроизводиться со звуком, счастлив. щас 
закину в сизиф
------- Comment #57 From 2007-08-01 15:40:50 -------
(In reply to comment #56)
> ниче не делать. я собрал libamrnb-6.1.0.2-alt1, файлы с моего SonyEricsson 
> W810i и BENQ-Siemens S88 стали воспроизводиться со звуком, счастлив. щас 
> закину в сизиф

Блин, если всё так просто - "щас закину в сизиф", то какого ... я тогда 
прикручивал поддржку libamr через dlopen в libavcodec???
------- Comment #58 From 2007-08-01 15:42:44 -------
правильно прикручивал, я собрал всего лишь libamrnb.so.2
------- Comment #59 From 2007-08-01 15:47:05 -------
(In reply to comment #58)
> правильно прикручивал, я собрал всего лишь libamrnb.so.2

а весь тред здесь перечитать? зачем вобще dlopen прикручивалось, когда можно 
было просто либы прилинковать?
------- Comment #60 From 2007-08-01 15:52:29 -------
(In reply to comment #58)
> правильно прикручивал, я собрал всего лишь libamrnb.so.2

Ответь мне правду, ты читал /usr/share/doc/libavcodec-какойтамутебя/README.ALT-AMR ?

А этот тред?
------- Comment #61 From 2007-08-01 15:55:21 -------
много буковок... но лучше не линковаться с этой библой, т.к. лицензия там 
Commercial/LGPL. можно конечно оставить только LGPL, как это сделали в 
некоторых дистрах, вот тогда можно и слинковаться с ней
------- Comment #62 From 2007-08-01 15:56:32 -------
(In reply to comment #55)
> Вот видите, даже прямая ссылка на документацию при выводе ошибки не помогла.
Да не, нормально.
Это тем, кому без проблем в сизиф закинуть.
Кому не проблема себе собрать - пусть собирают.
А кто собрать не может, тому больше всех пригодиться README
В самом худшем случае, наверняка найдется помощник, который расшифрует вывод 
из терминала.
------- Comment #63 From 2007-08-01 15:59:34 -------
(In reply to comment #61)
> можно конечно оставить только LGPL, как это сделали в 
> некоторых дистрах
В каких? Если крупных, то и нам наверняка можно, проконсультировавшись в 
legal@ (может, авторы разрешения дают или еще что)
В их пакетах может быть инфо
------- Comment #64 From 2007-08-01 16:00:48 -------
(In reply to comment #62)
> (In reply to comment #55)
> > Вот видите, даже прямая ссылка на документацию при выводе ошибки не помогла.
> Да не, нормально.
> Это тем, кому без проблем в сизиф закинуть.
> Кому не проблема себе собрать - пусть собирают.
> А кто собрать не может, тому больше всех пригодиться README
> В самом худшем случае, наверняка найдется помощник, который расшифрует вывод 
> из терминала.

я не очень понимаю, что там собирать, когда уже все собрано
------- Comment #65 From 2007-08-01 16:04:48 -------
(In reply to comment #63)
> (In reply to comment #61)
> > можно конечно оставить только LGPL, как это сделали в 
> > некоторых дистрах
> В каких? Если крупных, то и нам наверняка можно, проконсультировавшись в 
> legal@ (может, авторы разрешения дают или еще что)
> В их пакетах может быть инфо

Вся канитель с dlopen и с
"ffmpeg decoder warning: Please, read the README.ALT-AMR file 
in /usr/share/doc/libavcodec-*/!"
и была затеяна из-за больших сомнений в легальности нахождения libamr?b в 
репозитарии. И поиск по "другим дистрибутивам" эти сомнения никак не 
развеял...
------- Comment #66 From 2007-08-01 16:08:15 -------
(In reply to comment #63)
> > можно конечно оставить только LGPL, как это сделали в 
> > некоторых дистрах
> В каких? Если крупных, то и нам наверняка можно, проконсультировавшись в 
> legal@ (может, авторы разрешения дают или еще что)
> В их пакетах может быть инфо
> 

нету там ниче

(In reply to comment #64)
> я не очень понимаю, что там собирать, когда уже все собрано
то что в people это не "собрано", к тому же там только под i586 (хотя оно 
прекрасно и под x86_64 собирается)
------- Comment #67 From 2007-08-01 16:10:45 -------
> (In reply to comment #64)
> > я не очень понимаю, что там собирать, когда уже все собрано
> то что в people это не "собрано", к тому же там только под i586 (хотя оно 
> прекрасно и под x86_64 собирается)

У меня нет x86_64. Кроме как на people ЭТО выкладывать, если ты не понял, никуда
нельзя.
------- Comment #68 From 2007-08-01 16:14:24 -------
> У меня нет x86_64.

раз решили указать это в /usr/share/doc/libavcodec-9831/README.ALT-AMR можно и 
попросить собрать кого нибудь

> Кроме как на people ЭТО выкладывать, если ты не понял, никуда
> нельзя.

это кто сказал?
------- Comment #69 From 2007-08-01 16:14:54 -------
(In reply to comment #67)
> > (In reply to comment #64)
> > > я не очень понимаю, что там собирать, когда уже все собрано
> > то что в people это не "собрано", к тому же там только под i586 (хотя оно 
> > прекрасно и под x86_64 собирается)
> 
> Кроме как на people ЭТО выкладывать, если ты не понял, никуда
> нельзя.

А nosrc.rpm у нас в репозитарий поместить, как я понял, не получится (?) :(
------- Comment #70 From 2007-08-01 16:20:55 -------
> > Кроме как на people ЭТО выкладывать, если ты не понял, никуда
> > нельзя.
> 
> это кто сказал?

http://www.altlinux.ru/community/sisyphus_project.html

"Sisyphus &#8212; название хранилища пакетов <b>свободных</b> программ, на
основе
которого строятся все операционные системы ALT Linux."
------- Comment #71 From 2007-08-01 16:23:58 -------
http://download.opensuse.org/distribution/SL-10.1/inst-source/suse/src/amrnb-0.0.1-11.src.rpm
вот и думайте
------- Comment #72 From 2007-08-01 16:37:21 -------
(In reply to comment #71)
> 
http://download.opensuse.org/distribution/SL-10.1/inst-source/suse/src/amrnb-0.0.1-11.src.rpm
> вот и думайте

Это не тот amr:)
------- Comment #73 From 2007-08-01 16:42:55 -------
(In reply to comment #72)
> (In reply to comment #71)
> > 
> 
http://download.opensuse.org/distribution/SL-10.1/inst-source/suse/src/amrnb-0.0.1-11.src.rpm
> > вот и думайте
> 
> Это не тот amr:)

Вернее тот, но трёхгодичной давности
cat AUTHORS
Original code from 3gpp.org. License unknown
По поводу кода сомнений как раз нету - ИМХО типичный Public Domain. У 
мейнтейнера ffmpeg причины невключения в репозитарий были AFAIR чисто 
патентные...
------- Comment #74 From 2007-08-01 16:48:44 -------
(In reply to comment #73)
> Вернее тот, но трёхгодичной давности

а 26104-610.zip какой давности? тот же 2004 год. хотя diff все расскажет

> cat AUTHORS
> Original code from 3gpp.org. License unknown
> По поводу кода сомнений как раз нету - ИМХО типичный Public Domain. У 
> мейнтейнера ffmpeg причины невключения в репозитарий были AFAIR чисто 
> патентные...

если это SuSE положили в дистр под LGPL, то нам уж точно все эти "патентные" 
до лампочки
------- Comment #75 From 2007-08-01 17:03:08 -------
(In reply to comment #74)
> (In reply to comment #73)
> > Вернее тот, но трёхгодичной давности
> 
> а 26104-610.zip какой давности? тот же 2004 год. хотя diff все расскажет

Здесь я прогнал. Извиняюсь, виноват.

> если это SuSE положили в дистр под LGPL, то нам уж точно все эти "патентные" 
> до лампочки

Меня убеждать не надо. Сомнения были у мейнтейнера. Но когда этот вопрос 
поднимался, никто из специалистов не озадачился в том, чтобы разобраться и 
сказать "Да, можно"
------- Comment #76 From 2007-08-01 17:09:36 -------
все что лежит в http://www.3gpp.org/ftp/Specs/ это файлы спецификаций формата, 
то что их нельзя использовать/компилить и т.д. и т.п. у них на сайте ничего не 
сказано. ну а раз не запрещено, значит разрешено
------- Comment #77 From 2007-08-01 17:13:35 -------
Кстати, см. выше: avidemux у нас с этим "запрещённым" кодом внутри. И, похоже, 
Desktop выйдет в коробке с этим самим avidemux. В коробке с Server 4 он, тоже, 
наверное, есть.
------- Comment #78 From 2007-08-01 17:16:23 -------
в общем, Константин, не ищи проблемы там где их нет, посмотри на SuSE и 
спокойно собирай armnb и armwb в сизиф
------- Comment #79 From 2007-08-01 17:20:46 -------
Распространение реализации от 3GPP требует специального договора с членами
3GPP.
Обертки вокруг этого кода не меняют картины. Код в том виде, как он есть
сейчас,
в Сизиф лучше не помещать.
------- Comment #80 From 2007-08-01 17:26:49 -------
Каким образом это делают SuSE? в их пакете никаких упоминаний о разрешениях 
нет
------- Comment #81 From 2007-08-01 17:32:30 -------
(In reply to comment #79)
> Распространение реализации от 3GPP требует специального договора с членами 
3GPP.
> Обертки вокруг этого кода не меняют картины. Код в том виде, как он есть 
сейчас,
> в Сизиф лучше не помещать.

Тем не менее, он уже там.

------- Comment #82 From 2007-08-01 17:51:00 -------
Значит, его надо выкинуть из Сизифа. Речь идет о нарушении авторских прав, на
не
эфемерных патентных.
------- Comment #83 From 2007-08-01 18:07:39 -------
(In reply to comment #82)
> Значит, его надо выкинуть из Сизифа.

Если вы уверены, что
> Речь идет о нарушении авторских прав, на не
> эфемерных патентных.

Вешайте багу на avidemux... или что там ещё нужно делать, чтобы викинуть пакет 
из Сизифа/бранча/Сервера...
------- Comment #84 From 2007-08-01 18:09:35 -------
(In reply to comment #83)
> (In reply to comment #82)
> > Значит, его надо выкинуть из Сизифа.
> 
> Если вы уверены, что
> > Речь идет о нарушении авторских прав, на не
> > эфемерных патентных.
> 
> Вешайте багу на avidemux... или что там ещё нужно делать, чтобы викинуть пакет 
> из Сизифа/бранча/Сервера...

Я повешу.

И предлагаю на этом дискуссию закрыть.